# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::EnableSet Class Reference

A set of enables managed by Shader. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::EnableSet:

List of all members.

## Public Member Functions

| EnableSet ()
virtual const char * | className ()
| Returns the name of the class.
void | enable (EEnable capability)
void | disable (EEnable capability)
const std::vector< EEnable > & | enables () const
int | isEnabled (EEnable capability) const
void | disableAll ()
bool | blendingEnabled () const

## Protected Attributes

std::vector< EEnable > | mEnables
bool | mBlendingEnabled

## Detailed Description

A set of enables managed by Shader.

This class substitutes for the most part the OpenGL functions glEnable() and glDisable().

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::EnableSet::EnableSet | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::EnableSet::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vl::EnableSet::enable | ( | EEnable | capability | ) | `[inline]`

void vl::EnableSet::disable | ( | EEnable | capability | ) | `[inline]`

const std::vector<EEnable>& vl::EnableSet::enables | ( |  | ) | const`[inline]`

int vl::EnableSet::isEnabled | ( | EEnable | capability | ) | const`[inline]`

void vl::EnableSet::disableAll | ( |  | ) | `[inline]`

bool vl::EnableSet::blendingEnabled | ( |  | ) | const`[inline]`

## Member Data Documentation

std::vector<EEnable> vl::EnableSet::mEnables`[protected]`

bool vl::EnableSet::mBlendingEnabled`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:41 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.